Recientemente he actualizado mi wordpress 3.8. Desde luego me parece que no será capaz de acceder a WordPress.

Me sale el mensaje de error «ERROR: las Cookies están bloqueadas o no es compatible con tu navegador. Debe habilitar las cookies para usar WordPress.» la cosa es que las cookies están trabajando bien. ESTÁN habilitados. He limpiado ellos trató de navegador diferente todo. Yo creo que puede ser algo en la configuración de WP.

He probado el fix para comentar la cookie de verificación en la wp-login.php

Agradecería cualquier ayuda para llegar a mi sitio de wordpress a trabajar de nuevo.

6 Comentarios

  1. 6

    Intentar agregar a continuación el código en su tema function.php

                //fix for cookie error while login.
                setcookie(TEST_COOKIE, 'WP Cookie check', 0, COOKIEPATH, COOKIE_DOMAIN);
                if ( SITECOOKIEPATH != COOKIEPATH )
                    setcookie(TEST_COOKIE, 'WP Cookie check', 0, SITECOOKIEPATH, COOKIE_DOMAIN);

    Una opción más que funcionó para mí, he desarrollado mi cliente en mi servidor y la URL «www.mydomain/clients/clientname» cuando me enviaron al cliente del servidor en el dominio principal estaba recibiendo esta cookie problema en el backend de WordPress, probado casi todas las soluciones disponibles en línea, pero esto funcionó para mí.
    Vaya a la base de datos de wordpress y de verificación «wp_options» la opción de la tabla y cambiar la dirección url de su dominio URL Woila! trabajó para mí.

    Ver si esto puede ayudar a alguien.

  2. 0

    Creo que solo se borra tus cookies y, a continuación, tratando de acceder a su sitio. Si usted está haciendo, entonces yo sugiero, usted tiene que actualizar la pestaña de su navegador después de hacer borrar la caché de cookies y, a continuación, inicio de sesión. Espero que lo puede ayudar. Gracias.

    • Yo he hecho eso también.
  3. 0

    He conseguido solucionar el problema, aunque no estoy 100% seguro de lo que lo causó.

    En primer lugar he cambiado el nombre de la carpeta de plugins. Esto permitió que al menos de inicio de sesión.

    Luego he cambiado el nombre de la carpeta plugins. Esto mostrará todos los plugins de nuevo, sin embargo ahora será desactivada.

    Fui a través de cada plugin de inicio de sesión cada vez para ver si podía inicio de sesión. Cuando me enteré de que el plugin se me borra. Luego he reinstalado y probado el inicio de sesión /cierre de sesión. Funciona bien ahora.

    Feliz, pero desconcertado por qué se produjo un error en el primer lugar.

    Espero que esto ayude a alguien más. El plugin causando el problema aparente que parecía ser el Canal de Youtube de la Galería

    Saludos.

  4. 0

    Me he encontrado con el mismo problema.

    El problema es que con la actualización de la versión de wordpress en mi caso y restablecer la contraseña mediante http://codex.wordpress.org/Resetting_Your_Password después he añadido

    error_reporting(E_ALL);
    ini_set(‘display_errors’, 1);

    después de que vea el problema es
    Advertencia: No se puede modificar la información de cabecera – cabeceras ya enviado por (la producción empezó a /zz/zzz/file.php)

    después de comprobar que el archivo contiene líneas adicionales después de la etiqueta de cierre de PHP(?>). Quita las líneas vacías y espacios después de la final de la etiqueta de solucionado el problema.

    Espero que ayude a alguien.

  5. 0

    Me doy cuenta de que este es un hilo viejo, pero lo más probable es que el problema resurge del pasado como lo hizo para mí. Me descubrió accidentalmente el problema con un enlace a mi página de inicio de sesión sin SSL habilitado. Para dar una solución rápida, simplemente me cambió http://a https://en mi navegador y fue capaz de iniciar sesión en el panel de administración. Yo tenía el problema de un par de meses atrás y se olvidó de que he actualizado mis favoritos para https, pero el enlace de inicio de sesión en el WP meta enlaces, los widgets lleva a la página no segura (que sólo me mordió ayer de nuevo). No estoy seguro de que esta es la única cookie problema, pero me ha cogido dos veces ahora. Yo leímos el wp-login.php y creo que la línea #768

    $redirect_to = preg_replace('|^http://|', 'https://', $redirect_to);

    puede ser el problema, pero lamentablemente mi tiempo de desafío me permite no más…

  6. 0

    Usted no tiene que preocuparse acerca de este tema en wordpress. Es el problema de functions.php página en tu tema. El problema es que usted necesita para eliminar espacios antes y después del cierre de etiquetas PHP. Me refiero
    1
    5
    6

    Nota que usted necesita para limpiar el código de la siguiente manera.
    1
    Creo que entendiste mi punto. Yo enfrentan el mismo problema y buscó la solución número de veces. Finalmente he descargado en mi tema en mi local editor comprobado que functions.php página y limpiado antes. Por último, he resuelto este problema. Pero, me pasé 2 días para obtener la solución. Gracias. Braj

Dejar respuesta

Please enter your comment!
Please enter your name here